## burp 2.0.54

=== src/win32/burp/Makefile ===
#
# Makefile for win32 burp executables
# Using MinGW cross-compiler on GNU/Linux
#
#  Written by Robert Nelson, June 2006
#

include ../Makefile.inc

INCLUDES = \
	-I. \
	$(INCLUDE_BURP) \
	$(INCLUDE_ZLIB) \
	$(INCLUDE_VSS) \
	$(INCLUDE_OPENSSL) \
	$(INCLUDE_ICONS)

DEFINES = \
	-DUSING_DLL \
	-DWIN32_VSS \
	-DWINVER=0x500 \
	$(HAVES)

vpath %.c $(MAINDIR)/src $(BUILDDIR)/libwin32
vpath %.cpp $(MAINDIR)/src $(BUILDDIR)/libwin32

##########################################################################

CLIENT_OBJS = \
	$(OBJDIR)/alist.o \
	$(OBJDIR)/alloc.o \
	$(OBJDIR)/asfd.o \
	$(OBJDIR)/async.o \
	$(OBJDIR)/attribs.o \
	$(OBJDIR)/base64.o \
	$(OBJDIR)/berrno.o \
	$(OBJDIR)/bfile.o \
	$(OBJDIR)/bu.o \
	$(OBJDIR)/client/acl.o \
	$(OBJDIR)/client/auth.o \
	$(OBJDIR)/client/autoupgrade.o \
	$(OBJDIR)/client/backup.o \
	$(OBJDIR)/client/backup_phase1.o \
	$(OBJDIR)/client/protocol1/backup_phase2.o \
	$(OBJDIR)/client/protocol1/restore.o \
	$(OBJDIR)/client/protocol2/backup_phase2.o \
	$(OBJDIR)/client/protocol2/rabin_read.o \
	$(OBJDIR)/client/protocol2/restore.o \
	$(OBJDIR)/client/ca.o \
	$(OBJDIR)/client/cvss.o \
	$(OBJDIR)/client/delete.o \
	$(OBJDIR)/client/extra_comms.o \
	$(OBJDIR)/client/extrameta.o \
	$(OBJDIR)/client/find.o \
	$(OBJDIR)/client/glob_windows.o \
	$(OBJDIR)/client/list.o \
	$(OBJDIR)/client/main.o \
	$(OBJDIR)/client/monitor.o \
	$(OBJDIR)/client/monitor/lline.o \
	$(OBJDIR)/client/monitor/sel.o \
	$(OBJDIR)/client/monitor/json_input.o \
	$(OBJDIR)/client/restore.o \
	$(OBJDIR)/client/xattr.o \
	$(OBJDIR)/cmd.o \
	$(OBJDIR)/cntr.o \
	$(OBJDIR)/conf.o \
	$(OBJDIR)/conffile.o \
	$(OBJDIR)/cstat.o \
	$(OBJDIR)/forkchild.o \
	$(OBJDIR)/fsops.o \
	$(OBJDIR)/fzp.o \
	$(OBJDIR)/handy.o \
	$(OBJDIR)/hexmap.o \
	$(OBJDIR)/incexc_recv.o \
	$(OBJDIR)/incexc_send.o \
	$(OBJDIR)/iobuf.o \
	$(OBJDIR)/linkhash.o \
	$(OBJDIR)/lock.o \
	$(OBJDIR)/log.o \
	$(OBJDIR)/main.o \
	$(OBJDIR)/msg.o \
	$(OBJDIR)/pathcmp.o \
	$(OBJDIR)/prepend.o \
	$(OBJDIR)/prog.o \
	$(OBJDIR)/protocol1/handy.o \
	$(OBJDIR)/protocol1/msg.o \
	$(OBJDIR)/protocol1/rs_buf.o \
	$(OBJDIR)/protocol1/sbuf_protocol1.o \
	$(OBJDIR)/protocol2/blist.o \
	$(OBJDIR)/protocol2/blk.o \
	$(OBJDIR)/protocol2/rabin/rabin.o \
	$(OBJDIR)/protocol2/rabin/rconf.o \
	$(OBJDIR)/protocol2/rabin/win.o \
	$(OBJDIR)/protocol2/sbuf_protocol2.o \
	$(OBJDIR)/regexp.o \
	$(OBJDIR)/run_script.o \
	$(OBJDIR)/sbuf.o \
	$(OBJDIR)/server/protocol2/champ_chooser/incoming.o \
	$(OBJDIR)/slist.o \
	$(OBJDIR)/ssl.o \
	$(OBJDIR)/strlist.o \
	$(OBJDIR)/vss.o \
	$(OBJDIR)/vss_XP.o \
	$(OBJDIR)/vss_W2K3.o \
	$(OBJDIR)/vss_Vista.o \
	$(OBJDIR)/yajl_gen_w.o \
	$(OBJDIR)/burp.res

ALL_OBJS = $(CLIENT_OBJS)

CLIENT_LIBS = \
	$(LIBS_SSL) \
	$(LIBS_CRYPTO) \
	$(LIBS_ZLIB) \
	$(LIBS_NETWORK) \
	$(LIBS_RSYNC) \
	$(LIBS_PCRE) \
	$(LIBS_YAJL) \
	-lole32 \
	-loleaut32 \
	-luuid \
	-lcomctl32

######################################################################

# Targets

.PHONY: all clean

all: $(BINDIR)/burp.exe $(BINDIR)/burp_ca.bat

clean:
	@echo "Cleaning `pwd`"
	$(call clean_obj,$(ALL_OBJS))
	$(call clean_exe,$(BINDIR)/burp.exe)
	$(ECHO_CMD)rm -rf $(OBJDIRS)

#
# Rules
#

$(BINDIR)/burp.exe: $(CLIENT_OBJS) $(LIBS_BURP)
	$(call link_conapp,$(CLIENT_LIBS))

$(BINDIR)/burp_ca.bat:
	cp $(MAINDIR)/configs/certs/CA/burp_ca.bat $(BINDIR)

$(OBJDIR)/winres.res: ../libwin32/winres.rc
	@echo "Compiling $(WINDRES) $@"
	$(call checkdir,$@)
	$(ECHO_CMD)$(WINDRES) $(INCLUDE_ICONS) -O coff $< -o $@

include ../Makefile.rules

=== src/win32/lib/Makefile ===
#
# Makefile for win32 burp executables
# Using MinGW cross-compiler on GNU/Linux

include ../Makefile.inc

INCLUDES = \
	$(INCLUDE_BURP) \
	$(INCLUDE_ZLIB) \
	$(INCLUDE_OPENSSL)

DEFINES = \
	$(HAVES)

vpath %.c $(BUILDDIR)/compat
vpath %.cpp $(BUILDDIR)/compat

######################################################################

# Files files in src/lib

COMPAT_OBJS = \
	$(OBJDIR)/compat.o \
	$(OBJDIR)/mem_pool.o \
	$(OBJDIR)/print.o \
	$(OBJDIR)/winapi.o

#	$(OBJDIR)/getopt.o \

FIND_OBJS = 

LIB_OBJS = 

DLL_OBJS = \
	$(COMPAT_OBJS) $(FIND_OBJS) $(LIB_OBJS)

STATIC_OBJS = 

ALL_OBJS = \
	$(DLL_OBJS) $(STATIC_OBJS)

LIBS_DLL = \
	$(LIBS_SSL) \
	$(LIBS_CRYPTO) \
	$(LIBS_ZLIB) \
	$(LIBS_NETWORK) \
	$(LIBS_YAJL) \
	-lole32 \
	-loleaut32 \
	-luuid

######################################################################

# Targets

.PHONY: all clean

all: $(BINDIR)/burp.dll $(LIBDIR)/libburp.a

clean:
	@echo "Cleaning `pwd`"
	$(call clean_obj,$(ALL_OBJS))
	$(call clean_exe,$(BINDIR)/burp.dll)
	$(ECHO_CMD)rm -f $(OBJDIR)/burp.a $(LIBDIR)/libburp.a
	$(ECHO_CMD)rm -rf $(OBJDIRS)

#
# Rules for generating from ../lib
#

$(LIBDIR)/libburp.a: DLL_DEFINE=USING_DLL

$(LIBDIR)/libburp.a: $(BINDIR)/burp.dll $(STATIC_OBJS)
	@echo "Updating archive $@"
	$(call checkdir,$@)
	$(ECHO_CMD)cp $(OBJDIR)/burp.a $@
	$(ECHO_CMD)$(AR) rsv $@ $(filter %.o,$^)

$(BINDIR)/burp.dll: DLL_DEFINE=BUILDING_DLL

$(BINDIR)/burp.dll: $(DLL_OBJS) burp$(WIN_VERSION).def
	@echo "Linkinga $@"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) $(LDFLAGS) -mdll -mwindows -Wl,--out-implib,$(OBJDIR)/burp.a $^ $(LIBS_DLL) -o $@

include ../Makefile.rules

$(OBJDIR)/%.o: %.c
	@echo "Compiling $(CXX) $<"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) -D$(DLL_DEFINE) $(CFLAGS) -c $< -o $@

$(OBJDIR)/%.o: %.cpp
	@echo "Compiling $(CXX) $<"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) -D$(DLL_DEFINE) $(CFLAGS) -c $< -o $@

=== debian/changelog ===
burp (2.0.54-4build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:48:44 +0000

burp (2.0.54-4) unstable; urgency=medium

  [ Calogero Lo Leggio (kalos) ]
  * file config error in summary_script cronjob - #855032

 -- Calogero Lo Leggio (kalos) <kalos@nerdrug.org>  Mon, 13 Feb 2017 17:49:31 +0000

burp (2.0.54-3) unstable; urgency=medium

  * Added compatibility version issue in README.Debian file - bugfix #854303

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Sat, 11 Feb 2017 18:23:42 +0000

burp (2.0.54-2) unstable; urgency=medium

  * Removed old logrotate entry - bugfix #753557
  * Enabled burp test suite

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Sat, 11 Feb 2017 18:17:26 +0000

burp (2.0.54-1) unstable; urgency=medium

  [ Calogero Lo Leggio (kalos) ]
  * Updates only stable version of the burp - 2.0.X
  * Imported Upstream version 2.0.54
  * Remove duplicate CHANGELOG

 -- Calogero Lo Leggio (kalos) <kalos@nerdrug.org>  Fri, 06 Jan 2017 11:16:08 +0000

burp (2.0.52-1) unstable; urgency=medium

  [ Calogero Lo Leggio (kalos) ]
  * Imported Upstream version 2.0.52
  * Added build dep: yajl.
  * Updated client and server cron jobs.
  * Updated copyright.
  * Updated watch.
  * Disabled burp test suite (problem with "check" in unstable).
  * Removed all debian patches for burp version 1.

  [ Christoph Martin ]
  * depend on lsb-base
  * add myself as uploader

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 30 Dec 2016 23:46:27 +0100

burp (1.4.40-5) unstable; urgency=medium

  * QA upload
  * fix flags-32bit.patch
  * fix build with openssl 1.1 (closes: #828255)

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 14 Nov 2016 12:24:58 +0100

burp (1.4.40-4) unstable; urgency=medium

  * QA upload.
  * Revert using restart in logrotate, it breaks in-progress backup jobs.
    (Reopens: #753557).

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 01 Oct 2016 02:29:15 +0200

=== debian/control ===
Source: burp
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Calogero Lo Leggio <kalos@nerdrug.org>
Uploaders: Christoph Martin <martin@uni-mainz.de>
Build-Depends: debhelper (>= 9), dh-autoreconf, libncurses5-dev, libssl-dev, zlib1g-dev,
               librsync-dev, libacl1-dev, libattr1-dev, uthash-dev, openssl, libyajl-dev,
               pkg-config, check
Standards-Version: 3.9.8
Homepage: http://burp.grke.net/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/burp.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/burp.git

Package: burp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Recommends: openssl
Description: Simple cross-platform network BackUp and Restore Program
 Burp is a client/server backup system that saves space and network
 usage by using librsync. It uses the Volume Snapshot Service for
 backing up Windows clients.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_testdir
	dh_auto_configure -- --sysconfdir=/etc/burp --sbindir=\$${prefix}/sbin

override_dh_auto_install:
	dh_auto_install -- install-configs
	# remove duplicate files
	rm debian/burp/usr/share/doc/burp/LICENSE
	rm debian/burp/usr/share/doc/burp/CHANGELOG

override_dh_fixperms:
	dh_fixperms
	chmod 0600 debian/burp/etc/burp/burp.conf
	chmod 0600 debian/burp/etc/burp/burp-server.conf
	chmod 0700 debian/burp/etc/burp/clientconfdir
	chmod 0700 debian/burp/var/spool/burp

=== debian/watch ===
version=3
http://sf.net/burp/burp-(2\.0\.[\d.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## burp 2.1.32

=== src/win32/burp/Makefile ===
--- 
+++ 
@@ -1,7 +1,3 @@
-#
-# Makefile for win32 burp executables
-# Using MinGW cross-compiler on GNU/Linux
-#
 #  Written by Robert Nelson, June 2006
 #
 
@@ -13,16 +9,16 @@
 	$(INCLUDE_ZLIB) \
 	$(INCLUDE_VSS) \
 	$(INCLUDE_OPENSSL) \
-	$(INCLUDE_ICONS)
 
 DEFINES = \
 	-DUSING_DLL \
 	-DWIN32_VSS \
 	-DWINVER=0x500 \
-	$(HAVES)
+	$(HAVES) \
+	$(PACKAGE_DEFINES)
 
-vpath %.c $(MAINDIR)/src $(BUILDDIR)/libwin32
-vpath %.cpp $(MAINDIR)/src $(BUILDDIR)/libwin32
+vpath %.c $(MAINDIR)/src
+vpath %.cpp $(MAINDIR)/src
 
 ##########################################################################
 
@@ -99,12 +95,12 @@
 	$(OBJDIR)/slist.o \
 	$(OBJDIR)/ssl.o \
 	$(OBJDIR)/strlist.o \
+	$(OBJDIR)/times.o \
 	$(OBJDIR)/vss.o \
 	$(OBJDIR)/vss_XP.o \
 	$(OBJDIR)/vss_W2K3.o \
 	$(OBJDIR)/vss_Vista.o \
 	$(OBJDIR)/yajl_gen_w.o \
-	$(OBJDIR)/burp.res
 
 ALL_OBJS = $(CLIENT_OBJS)
 
@@ -127,27 +123,25 @@
 
 .PHONY: all clean
 
-all: $(BINDIR)/burp.exe $(BINDIR)/burp_ca.bat
+all: $(BINDIR)/$(PACKAGE_TARNAME).exe $(BINDIR)/$(PACKAGE_TARNAME)_ca.bat
 
 clean:
 	@echo "Cleaning `pwd`"
 	$(call clean_obj,$(ALL_OBJS))
-	$(call clean_exe,$(BINDIR)/burp.exe)
+	$(call clean_exe,$(BINDIR)/$(PACKAGE_TARNAME).exe)
 	$(ECHO_CMD)rm -rf $(OBJDIRS)
 
 #
 # Rules
 #
 
-$(BINDIR)/burp.exe: $(CLIENT_OBJS) $(LIBS_BURP)
+$(BINDIR)/$(PACKAGE_TARNAME).exe: $(CLIENT_OBJS) $(LIBS_BURP)
 	$(call link_conapp,$(CLIENT_LIBS))
 
-$(BINDIR)/burp_ca.bat:
-	cp $(MAINDIR)/configs/certs/CA/burp_ca.bat $(BINDIR)
-
-$(OBJDIR)/winres.res: ../libwin32/winres.rc
-	@echo "Compiling $(WINDRES) $@"
-	$(call checkdir,$@)
-	$(ECHO_CMD)$(WINDRES) $(INCLUDE_ICONS) -O coff $< -o $@
+$(BINDIR)/$(PACKAGE_TARNAME)_ca.bat:
+	sed \
+		-e 's/@name@/$(PACKAGE_TARNAME)/g' \
+		-e 's/@human_name@/$(PACKAGE_NAME)/g' \
+			< $(MAINDIR)/configs/certs/CA/burp_ca.bat.in > $@
 
 include ../Makefile.rules

=== src/win32/utest/Makefile ===
#  Written by Robert Nelson, June 2006
#

include ../Makefile.inc

INCLUDES = \
	-I. \
	$(INCLUDE_BURP) \
	$(INCLUDE_ZLIB) \
	$(INCLUDE_VSS) \
	$(INCLUDE_OPENSSL) \

DEFINES = \
	-DUSING_DLL \
	-DWIN32_VSS \
	-DWINVER=0x500 \
	-DUTEST \
	$(HAVES) \
	$(PACKAGE_DEFINES)

vpath %.c $(MAINDIR)
vpath %.cpp $(MAINDIR)

##########################################################################

CLIENT_OBJS = \
	$(OBJDIR)/src/alloc.o \
	$(OBJDIR)/src/asfd.o \
	$(OBJDIR)/src/async.o \
	$(OBJDIR)/src/attribs.o \
	$(OBJDIR)/src/base64.o \
	$(OBJDIR)/src/berrno.o \
	$(OBJDIR)/src/bfile.o \
	$(OBJDIR)/src/bu.o \
	$(OBJDIR)/src/client/acl.o \
	$(OBJDIR)/src/client/auth.o \
	$(OBJDIR)/src/client/autoupgrade.o \
	$(OBJDIR)/src/client/backup.o \
	$(OBJDIR)/src/client/backup_phase1.o \
	$(OBJDIR)/src/client/protocol1/backup_phase2.o \
	$(OBJDIR)/src/client/protocol1/restore.o \
	$(OBJDIR)/src/client/protocol2/backup_phase2.o \
	$(OBJDIR)/src/client/protocol2/rabin_read.o \
	$(OBJDIR)/src/client/protocol2/restore.o \
	$(OBJDIR)/src/client/ca.o \
	$(OBJDIR)/src/client/cvss.o \
	$(OBJDIR)/src/client/delete.o \
	$(OBJDIR)/src/client/extra_comms.o \
	$(OBJDIR)/src/client/extrameta.o \
	$(OBJDIR)/src/client/find.o \
	$(OBJDIR)/src/client/glob_windows.o \
	$(OBJDIR)/src/client/list.o \
	$(OBJDIR)/src/client/main.o \
	$(OBJDIR)/src/client/monitor.o \
	$(OBJDIR)/src/client/monitor/json_input.o \
	$(OBJDIR)/src/client/monitor/lline.o \
	$(OBJDIR)/src/client/monitor/sel.o \
	$(OBJDIR)/src/client/restore.o \
	$(OBJDIR)/src/client/xattr.o \
	$(OBJDIR)/src/cmd.o \
	$(OBJDIR)/src/cntr.o \
	$(OBJDIR)/src/conf.o \
	$(OBJDIR)/src/conffile.o \
	$(OBJDIR)/src/cstat.o \
	$(OBJDIR)/src/forkchild.o \
	$(OBJDIR)/src/fsops.o \
	$(OBJDIR)/src/fzp.o \
	$(OBJDIR)/src/handy.o \
	$(OBJDIR)/src/hexmap.o \
	$(OBJDIR)/src/incexc_recv.o \
	$(OBJDIR)/src/incexc_send.o \
	$(OBJDIR)/src/iobuf.o \
	$(OBJDIR)/src/linkhash.o \
	$(OBJDIR)/src/lock.o \
	$(OBJDIR)/src/log.o \
	$(OBJDIR)/main.o \
	$(OBJDIR)/src/msg.o \
	$(OBJDIR)/src/pathcmp.o \
	$(OBJDIR)/src/prepend.o \
	$(OBJDIR)/src/prog.o \
	$(OBJDIR)/src/protocol1/handy.o \
	$(OBJDIR)/src/protocol1/msg.o \
	$(OBJDIR)/src/protocol1/rs_buf.o \
	$(OBJDIR)/src/protocol1/sbuf_protocol1.o \
	$(OBJDIR)/src/protocol2/blist.o \
	$(OBJDIR)/src/protocol2/blk.o \
	$(OBJDIR)/src/protocol2/rabin/rabin.o \
	$(OBJDIR)/src/protocol2/rabin/rconf.o \
	$(OBJDIR)/src/protocol2/rabin/win.o \
	$(OBJDIR)/src/protocol2/sbuf_protocol2.o \
	$(OBJDIR)/src/regexp.o \
	$(OBJDIR)/src/run_script.o \
	$(OBJDIR)/src/sbuf.o \
	$(OBJDIR)/src/server/protocol2/champ_chooser/incoming.o \
	$(OBJDIR)/src/slist.o \
	$(OBJDIR)/src/ssl.o \
	$(OBJDIR)/src/strlist.o \
	$(OBJDIR)/src/times.o \
	$(OBJDIR)/alist.o \
	$(OBJDIR)/vss.o \
	$(OBJDIR)/vss_XP.o \
	$(OBJDIR)/vss_W2K3.o \
	$(OBJDIR)/vss_Vista.o \
	$(OBJDIR)/src/yajl_gen_w.o \
	$(OBJDIR)/utest/main.o \
	$(OBJDIR)/utest/builders/build_asfd_mock.o \
	$(OBJDIR)/utest/builders/build_attribs.o \
	$(OBJDIR)/utest/builders/build_file.o \
	$(OBJDIR)/utest/builders/build_paths.o \
	$(OBJDIR)/utest/builders/build_slist.o \
	$(OBJDIR)/utest/builders/protocol2/build_blist.o \
	$(OBJDIR)/utest/client/monitor/test_lline.o \
	$(OBJDIR)/utest/client/protocol1/test_backup_phase2.o \
	$(OBJDIR)/utest/client/protocol2/test_backup_phase2.o \
	$(OBJDIR)/utest/client/protocol2/test_rabin_read.o \
	$(OBJDIR)/utest/client/test_restore.o \
	$(OBJDIR)/utest/client/test_auth.o \
	$(OBJDIR)/utest/client/test_monitor.o \
	$(OBJDIR)/utest/prng.o \
	$(OBJDIR)/utest/protocol1/test_handy.o \
	$(OBJDIR)/utest/protocol1/test_rs_buf.o \
	$(OBJDIR)/utest/protocol2/test_blist.o \
	$(OBJDIR)/utest/protocol2/test_blk.o \
	$(OBJDIR)/utest/protocol2/rabin/test_rabin.o \
	$(OBJDIR)/utest/protocol2/rabin/test_rconf.o \
	$(OBJDIR)/utest/protocol2/rabin/test_win.o \
	$(OBJDIR)/utest/protocol2/test_sbuf_protocol2.o \
	$(OBJDIR)/utest/test_alloc.o \
	$(OBJDIR)/utest/test_asfd.o \
	$(OBJDIR)/utest/test_attribs.o \
	$(OBJDIR)/utest/test_base64.o \
	$(OBJDIR)/utest/test_cmd.o \
	$(OBJDIR)/utest/test_conf.o \
	$(OBJDIR)/utest/test_conffile.o \
	$(OBJDIR)/utest/test_fzp.o \
	$(OBJDIR)/utest/test_hexmap.o \
	$(OBJDIR)/utest/test_pathcmp.o \
	$(OBJDIR)/utest/test_slist.o \
	$(OBJDIR)/utest/test_times.o \

ALL_OBJS = $(CLIENT_OBJS)

CLIENT_LIBS = \
	$(LIBS_SSL) \
	$(LIBS_CRYPTO) \
	$(LIBS_ZLIB) \
	$(LIBS_NETWORK) \
	$(LIBS_RSYNC) \
	$(LIBS_PCRE) \
	$(LIBS_YAJL) \
	$(LIBS_CHECK) \
	-lole32 \
	-loleaut32 \
	-luuid \
	-lcomctl32

######################################################################

# Targets

.PHONY: all clean

all: $(BINDIR)/utest.exe

clean:
	@echo "Cleaning `pwd`"
	$(call clean_obj,$(ALL_OBJS))
	$(call clean_exe,$(BINDIR)/utest.exe)
	$(ECHO_CMD)rm -rf $(OBJDIRS)

#
# Rules
#

$(BINDIR)/utest.exe: $(CLIENT_OBJS) $(LIBS_BURP)
	$(call link_conapp,$(CLIENT_LIBS))

include ../Makefile.rules

=== debian/changelog ===
burp (2.1.32-2) unstable; urgency=medium

  [ Calogero Lo Leggio ]
  * fix debci problem when test 'burp-builtin-test'
  * update 'Standards-Version' to respect the last Debian Policy
  * inform of the incompatibility of burp server cert generated in Jessie

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Thu, 10 Jan 2019 19:42:45 +0000

burp (2.1.32-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Remove Testsuite field, not needed anymore
  * d/watch: Use https protocol

  [ Calogero Lo Leggio (kalos) ]
  * Imported Upstream version 2.1.32
  * fix Lintian warnings
  * fix path of a script in cron entry (Closes: #877005)

 -- Calogero Lo Leggio (kalos) <kalos@nerdrug.org>  Sat, 05 Jan 2019 14:52:34 +0000

burp (2.1.30-1) unstable; urgency=medium

  * Imported Upstream version 2.1.30 with latest debian directory
  * Add debci/autopkgtest support using integrated burp test
  * Disable unit test in the building phase. Closes: #884032

 -- Calogero Lo Leggio (kalos) <kalos@nerdrug.org>  Tue, 06 Mar 2018 21:02:31 +0000

burp (2.1.28-1) unstable; urgency=medium

  [ Christoph Martin ]
  * Move Vcs-* to Salsa

  [ Calogero Lo Leggio (kalos) ]
  * Imported Upstream version 2.1.28 with latest debian directory
  * Migrated to systemd
  * Use burp version 2.1.X as new stable release
  * Change compat (debhelper compatibility levels) to 10
  * Add new doc files

 -- Calogero Lo Leggio (kalos) <kalos@nerdrug.org>  Fri, 02 Mar 2018 16:22:31 +0000

=== debian/control ===
Source: burp
Section: utils
Priority: optional
Maintainer: Calogero Lo Leggio <kalos@nerdrug.org>
Uploaders: Christoph Martin <martin@uni-mainz.de>
Build-Depends: debhelper (>= 10), pkg-config, check,
               librsync-dev, libz-dev, libssl-dev, uthash-dev, libyajl-dev,
               libncurses5-dev, libacl1-dev
Standards-Version: 4.3.0
Homepage: http://burp.grke.net/
Vcs-Git: https://salsa.debian.org/debian/burp.git
Vcs-Browser: https://salsa.debian.org/debian/burp

Package: burp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Recommends: openssl
Description: Simple cross-platform network BackUp and Restore Program
 Burp is a client/server backup system that saves space and network
 usage by using librsync. It uses the Volume Snapshot Service for
 backing up Windows clients.

=== debian/tests/control ===
Tests: burp-unit-test
Depends: @builddeps@

Tests: burp-builtin-test
Depends: @, @builddeps@, openssl

=== debian/watch ===
version=3
https://sf.net/burp/burp-(2\.1\.[\d.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## burp 2.2.18

=== src/win32/burp/Makefile ===
--- 
+++ 
@@ -48,6 +48,7 @@
 	$(OBJDIR)/client/extra_comms.o \
 	$(OBJDIR)/client/extrameta.o \
 	$(OBJDIR)/client/find.o \
+	$(OBJDIR)/client/find_logic.o \
 	$(OBJDIR)/client/glob_windows.o \
 	$(OBJDIR)/client/list.o \
 	$(OBJDIR)/client/main.o \

=== src/win32/compat/Makefile ===
include ../Makefile.inc

DEFINES = \
	-DWIN32 \
	$(HAVES) \
	$(PACKAGE_DEFINES)

######################################################################

# Files files in src/win32/compat

LIB_OBJS = \
	$(OBJDIR)/compat.o \
	$(OBJDIR)/getopt.o \
	$(OBJDIR)/mempool.o \
	$(OBJDIR)/print.o \
	$(OBJDIR)/vss.o \
	$(OBJDIR)/vss_XP.o \
	$(OBJDIR)/vss_W2K3.o \
	$(OBJDIR)/vss_Vista.o

######################################################################

# Targets

.PHONY: all clean

all: $(LIBDIR)/libcompat.a

clean:
	@echo "Cleaning `pwd`"
	$(ECHO_CMD)rm -f $(OBJDIR)/*.[od] $(LIBDIR)/libcompat.a

#
# Rules
# 

$(LIBDIR)/libcompat.a: $(LIB_OBJS)
	@echo "Updating archive $@"
	$(call checkdir,$@)
	$(ECHO_CMD)$(AR) rs $@ $^

include ../Makefile.rules

ifneq ($(MAKECMDGOALS),clean)
include $(patsubst %.o,%.d,$(filter-out %.res,$(LIB_OBJS)))
endif

=== debian/changelog ===
burp (2.2.18-8) unstable; urgency=medium

  * remove superfluous 'slow and intensive' test as suggested by upstream dev

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Sun, 07 Jun 2020 20:22:41 +0200

burp (2.2.18-7) unstable; urgency=medium

  * burp arm64 have flaky test, use "Restriction: flaky"
  * set Standards-Version to 4.5.0

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Fri, 05 Jun 2020 16:29:48 +0200

burp (2.2.18-6) unstable; urgency=medium

  * set Standards-Version to 4.4.1

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Thu, 02 Jan 2020 11:42:53 +0100

burp (2.2.18-5) unstable; urgency=medium

  * Update README with another solution for old SSL cert. (Closes: #912604)
  * reintroduce /etc/default/burp file for sysvinit without 'RUN='.
    (Closes: #935498)

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Wed, 04 Sep 2019 13:19:29 +0200

burp (2.2.18-4) unstable; urgency=medium

  * using hardening options/flags
  * avoid to install '/run' empty dir
  * ensure to use UTF-8 locale for building the package
  * service is not started by default on sysvinit
  * add upstream metadata (UMEGAYA project)

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Wed, 21 Aug 2019 10:58:43 +0200

burp (2.2.18-3) unstable; urgency=medium

  [ Calogero Lo Leggio ]
  * set Standards-Version to 4.4.0
  * add 'Documentation=' in service file
  * set debhelper compatibility version to 12
  * fix lintian skip-systemd-native-flag-missing-pre-depends
  * unfixed lintian warning missing-versioned-depends-on-init-system-helpers

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Wed, 07 Aug 2019 12:38:52 +0200

burp (2.2.18-2) unstable; urgency=medium

  * re-introduce sysvinit script

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Fri, 02 Aug 2019 12:26:17 +0200

burp (2.2.18-1) unstable; urgency=medium

  [ Calogero Lo Leggio ]
  * New Upstream stable version 2.2.x
  * Imported Upstream version 2.2.18
  * Build using librsync 2.0 series to fix security issue

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Thu, 01 Aug 2019 21:43:49 +0200

burp (2.2.16-1) unstable; urgency=medium

  [ Calogero Lo Leggio ]
  * New Upstream stable version 2.2.x
  * Imported Upstream version 2.2.16

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Thu, 14 Feb 2019 13:52:32 +0000

=== debian/control ===
Source: burp
Section: utils
Priority: optional
Maintainer: Calogero Lo Leggio <kalos@nerdrug.org>
Uploaders: Christoph Martin <martin@uni-mainz.de>
Build-Depends: debhelper (>= 12~), pkg-config, check, librsync-dev (>= 2.0), libz-dev,
               libssl-dev, uthash-dev, libyajl-dev, libncurses5-dev, libacl1-dev
Standards-Version: 4.5.0
Homepage: http://burp.grke.net/
Vcs-Git: https://salsa.debian.org/debian/burp.git
Vcs-Browser: https://salsa.debian.org/debian/burp

Package: burp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), init-system-helpers (>= 1.50)
Pre-Depends: ${misc:Pre-Depends}
Recommends: openssl
Description: Simple cross-platform network BackUp and Restore Program
 Burp is a client/server backup system that saves space and network
 usage by using librsync. It uses the Volume Snapshot Service for
 backing up Windows clients.

=== debian/tests/control ===
Tests: burp-unit-test
Depends: @builddeps@

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%" https://sf.net/burp/burp-(2\.2\.[\d.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## burp 2.4.0

=== test/Makefile ===
RM = /bin/rm
RMF = $(RM) -rf

clean:
	@$(RMF) build
	@$(RMF) logs
	@$(RMF) restore*
	@$(RMF) target
	@$(RMF) build.tar.bz2
	@$(RMF) clientscript
	@$(RMF) serverscript
	@$(RMF) windowsscript

test:
	make clean
	./test_self

=== src/win32/burp/Makefile ===
--- 
+++ 
@@ -124,7 +124,7 @@
 
 .PHONY: all clean
 
-all: $(BINDIR)/$(PACKAGE_TARNAME).exe $(BINDIR)/$(PACKAGE_TARNAME)_ca.bat
+all: $(BINDIR)/$(PACKAGE_TARNAME).exe $(BINDIR)/$(PACKAGE_TARNAME)_ca.bat $(BINDIR)/$(PACKAGE_TARNAME).conf $(BINDIR)/openssl.conf
 
 clean:
 	@echo "Cleaning `pwd`"
@@ -145,4 +145,16 @@
 		-e 's/@human_name@/$(PACKAGE_NAME)/g' \
 			< $(MAINDIR)/configs/certs/CA/burp_ca.bat.in > $@
 
+$(BINDIR)/$(PACKAGE_TARNAME).conf:
+	sed \
+		-e 's/@name@/$(PACKAGE_TARNAME)/g' \
+		-e 's/@human_name@/$(PACKAGE_NAME)/g' \
+			< $(MAINDIR)/configs/client/burp.conf-win.in > $@
+
+$(BINDIR)/openssl.conf:
+	sed \
+		-e 's/@name@/$(PACKAGE_TARNAME)/g' \
+		-e 's/@human_name@/$(PACKAGE_NAME)/g' \
+			< $(MAINDIR)/configs/client/openssl.conf-win.in > $@
+
 include ../Makefile.rules

=== src/win32/lib/Makefile ===
include ../Makefile.inc

INCLUDES = \
	$(INCLUDE_BURP) \
	$(INCLUDE_ZLIB) \
	$(INCLUDE_OPENSSL)

DEFINES = \
	$(HAVES) \
	$(PACKAGE_DEFINES)

vpath %.c $(BUILDDIR)/compat
vpath %.cpp $(BUILDDIR)/compat

######################################################################

# Files files in src/win32/compat

COMPAT_OBJS = \
	$(OBJDIR)/compat.o \
	$(OBJDIR)/mem_pool.o \
	$(OBJDIR)/print.o \
	$(OBJDIR)/winapi.o

LIBS_DLL = \
	$(LIBS_SSL) \
	$(LIBS_CRYPTO) \
	$(LIBS_ZLIB) \
	$(LIBS_NETWORK) \
	$(LIBS_YAJL) \
	-lole32 \
	-loleaut32 \
	-luuid

######################################################################

# Targets

.PHONY: all clean

all: $(BINDIR)/compat.dll $(LIBDIR)/libcompat.a

clean:
	@echo "Cleaning `pwd`"
	$(call clean_obj,$(COMPAT_OBJS))
	$(call clean_exe,$(BINDIR)/compat.dll)
	$(ECHO_CMD)rm -f $(OBJDIR)/burp.a
	$(ECHO_CMD)rm -f $(OBJDIR)/libcompat.a
	$(ECHO_CMD)rm -rf $(OBJDIRS)

#
# Rules for generating from ../lib
#

$(LIBDIR)/libcompat.a: DLL_DEFINE=USING_DLL

$(LIBDIR)/libcompat.a: $(BINDIR)/compat.dll $(STATIC_OBJS)
	@echo "Updating archive $@"
	$(call checkdir,$@)
	$(ECHO_CMD)cp $(OBJDIR)/burp.a $@
	$(ECHO_CMD)$(AR) rsv $@ $(filter %.o,$^)

$(BINDIR)/compat.dll: DLL_DEFINE=BUILDING_DLL

$(BINDIR)/compat.dll: $(COMPAT_OBJS) compat$(WIN_VERSION).def
	@echo "Linkinga $@"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) $(LDFLAGS) -mdll -mwindows -Wl,--out-implib,$(OBJDIR)/burp.a $^ $(LIBS_DLL) -o $@

include ../Makefile.rules

$(OBJDIR)/%.o: %.c
	@echo "Compiling $(CXX) $<"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) -D$(DLL_DEFINE) $(CFLAGS) -c $< -o $@

$(OBJDIR)/%.o: %.cpp
	@echo "Compiling $(CXX) $<"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) -D$(DLL_DEFINE) $(CFLAGS) -c $< -o $@

=== src/win32/utest/Makefile ===
--- 
+++ 
@@ -48,6 +48,7 @@
 	$(OBJDIR)/src/client/extra_comms.o \
 	$(OBJDIR)/src/client/extrameta.o \
 	$(OBJDIR)/src/client/find.o \
+	$(OBJDIR)/src/client/find_logic.o \
 	$(OBJDIR)/src/client/glob_windows.o \
 	$(OBJDIR)/src/client/list.o \
 	$(OBJDIR)/src/client/main.o \

=== debian/changelog ===
burp (2.4.0-3ubuntu1) jammy; urgency=medium

  * debian/patches/openssl3-compat.patch: Fix compatibility with
    OpenSSL 3.  Closes LP: #1952959.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 Dec 2021 17:43:10 +0000

burp (2.4.0-3) unstable; urgency=medium

  * re-enable compiler "format-security" check

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Tue, 09 Nov 2021 12:17:59 +0100

burp (2.4.0-2) unstable; urgency=medium

  * update metadata info
  * remove non-existent files in copyright info
  * set Standards-Version to 4.6.0
  * add burp-client systemd.timer

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Wed, 03 Nov 2021 12:48:48 +0100

burp (2.4.0-1) unstable; urgency=medium

  * disable compiler "format-security" error (Closes: #997159)
  * increase the test_attrib timeout even further
  * change stable branch
  * New upstream version 2.4.0

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Tue, 02 Nov 2021 14:27:55 +0100

burp (2.2.18-9) unstable; urgency=medium

  * Increase timeout in utest/test_attribs.c, from 5 to 10sec. (Closes: #979824)
  * set Standards-Version to 4.5.1

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Sun, 17 Jan 2021 16:45:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: burp
 Section: utils
 Priority: optional
-Maintainer: Calogero Lo Leggio <kalos@nerdrug.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Calogero Lo Leggio <kalos@nerdrug.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>
 Build-Depends: debhelper (>= 12~), pkg-config, check, librsync-dev (>= 2.0), libz-dev,
                libssl-dev, uthash-dev, libyajl-dev, libncurses5-dev, libacl1-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://burp.grke.net/
 Vcs-Git: https://salsa.debian.org/debian/burp.git
 Vcs-Browser: https://salsa.debian.org/debian/burp

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# ensure building with UTF-8 locale
export LC_ALL = C.UTF-8

%:
	dh $@

override_dh_auto_configure:
	dh_testdir
	dh_auto_configure -- --sysconfdir=/etc/burp --localstatedir=/var --sbindir=\$${prefix}/sbin

override_dh_auto_test:
	# disable unit test ('check' framework) to avoid FTBFS in the Debian Package Auto-Building.
	# These test are executed with the Debian continuous integration system (debci).

override_dh_auto_install:
	dh_auto_install -- install-configs
	# remove duplicate files and empty dir
	rm debian/burp/usr/share/doc/burp/LICENSE
	rm debian/burp/usr/share/doc/burp/CHANGELOG
	rmdir debian/burp/run

override_dh_fixperms:
	dh_fixperms
	chmod 0600 debian/burp/etc/burp/burp.conf
	chmod 0600 debian/burp/etc/burp/burp-server.conf
	chmod 0700 debian/burp/etc/burp/clientconfdir
	chmod 0700 debian/burp/var/spool/burp

override_dh_installinit:
	# use sysvinit as alternative init system
	dh_installinit --no-enable --no-start

override_dh_installsystemd:
	dh_installsystemd --no-enable

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/?(2\.4\.[\d.]+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/grke/burp/tags .*/?(2\.4\.[\d.]+)\.tar\.gz

## burp 3.1.4

=== src/win32/Makefile ===
ECHO_CMD=@

DIRS=	lib \
	burp \
	utest \

ifeq ($(WIN64),yes)
  INSTALLER=installer64
else
  INSTALLER=installer32
endif

.PHONY: $(DIRS) $(INSTALLER) clean all Makefile.inc

all: Makefile.inc $(DIRS) $(INSTALLER)


clean: $(DIRS)
	$(ECHO_CMD)-rm -f Makefile.inc
	$(ECHO_CMD)-rm -rf release32 release64 
	$(ECHO_CMD)-rm -rf installer32 installer64

installer32:
	@if test -f Makefile.inc; then \
	   if $(MAKE) -C $@ $(MAKECMDGOALS); then \
		echo "\n===== Make of $@ succeeded =====\n\n" ; \
	   else  \
		echo "\n!!!!! Make of $@ failed !!!!!\n\n" ; \
	   fi ; \
	fi

installer64:
	@if test -f Makefile.inc; then \
	   if $(MAKE) -C $@ $(MAKECMDGOALS); then \
		echo "\n===== Make of $@ succeeded =====\n\n" ; \
	   else  \
		echo "\n!!!!! Make of $@ failed !!!!!\n\n" ; \
	   fi ; \
	fi


$(DIRS):
	@if test -f Makefile.inc; then \
	   if $(MAKE) -C $@ $(MAKECMDGOALS); then \
		echo "\n===== Make of $@ succeeded =====\n\n" ; \
	   else  \
		echo "\n!!!!! Make of $@ failed !!!!!\n\n" ; \
	   fi ; \
	fi

../../burp-cross-tools:
	$(ECHO_CMD)TOPDIR=`(cd ../..;pwd)`; \
	TOPDIR=$${DEPKGS:-$${TOPDIR}}; \
	TOOLSDIR=$${TOPDIR} ; \
	while ! test -d $${TOOLSDIR}/burp-cross-tools \
	  && ! test -h $${TOOLSDIR}/burp-cross-tools ; do \
		TOOLSDIR=`dirname $${TOOLSDIR}` ; \
		echo $${TOOLSDIR} ; \
		if test $${TOOLSDIR} = '/' -o $${TOOLSDIR} = '.' ; then \
			echo "\nCould not find burp-cross-tools." ; \
			exit 1 ; \
		fi ; \
	done ; \
	ln -vsf $${TOOLSDIR}/burp-cross-tools/cross-tools ../../burp-cross-tools ; \
	ln -vsf $${TOOLSDIR}/burp-cross-tools/depkgs ../../burp-depkgs

Makefile.inc: ../../burp-cross-tools
	@echo Creating $@
	$(ECHO_CMD)TOPDIR=`(cd ../..;pwd)`; \
	TOPDIR=$${DEPKGS:-$${TOPDIR}}; \
	TOOLSDIR=$${TOPDIR} ; \
	if test "$(WIN64)" = yes -a -e $${TOPDIR}/burp-cross-tools/mingw-w64-x86_64/bin/x86_64-w64-mingw32-gcc; then \
		BINDIR=$${TOPDIR}/burp-cross-tools/mingw-w64-x86_64/bin; \
		INCDIR=$${TOPDIR}/burp-cross-tools/mingw-w64-x86_64/x86_64-w64-mingw32/include; \
		DLLDIR=$${TOPDIR}/burp-cross-tools/mingw-w64-x86_64/x86_64-w64-mingw32/lib; \
		DEPKGSDIR=burp-depkgs/mingw-w64-x86_64; \
		MINGW_PREFIX=x86_64-w64-mingw32-; \
		BITS=64 ; \
	elif test -e $${TOPDIR}/burp-cross-tools/mingw-w64-i686/bin/i686-w64-mingw32-gcc; then \
		BINDIR=$${TOPDIR}/burp-cross-tools/mingw-w64-i686/bin; \
		INCDIR=$${TOPDIR}/burp-cross-tools/mingw-w64-i686/i686-w64-mingw32/include; \
		DLLDIR=$${TOPDIR}/burp-cross-tools/mingw-w64-i686/i686-w64-mingw32/lib; \
		DEPKGSDIR=burp-depkgs/mingw-w64-i686; \
		MINGW_PREFIX=i686-w64-mingw32-; \
		BITS=32 ; \
	else \
		echo "$${TOPDIR}/burp-cross-tools" ; \
		echo "\nThe GCC cross compiler isn't installed."; \
		echo "You must run build-win32-cross-tools and build-dependencies first.\n"; \
		exit 1; \
	fi ; \
	BUILDDIR=`(pwd)`; \
	MAINDIR=`(cd ../..;pwd)`; \
	sed \
		-e "s^@BITS@^$${BITS}^g" \
		-e "s^@WIN64@^$${WIN64}^g" \
		-e "s^@DEPKGS@^$${DEPKGSDIR}^g" \
		-e "s^@BUILDDIR@^$${BUILDDIR}^g" \
		-e "s^@MAINDIR@^$${MAINDIR}^g" \
		-e "s^@TOPDIR@^$${TOPDIR}^g" \
		-e "s^@BINDIR@^$${BINDIR}^g" \
		-e "s^@INCDIR@^$${INCDIR}^g" \
		-e "s^@MINGW_PREFIX@^$${MINGW_PREFIX}^g" \
		-e "s^@DLLDIR@^$${DLLDIR}^g" < Makefile.inc.in > $@ ; \
	mkdir -vp installer$${BITS} ; \
	cp Makefile.installer installer$${BITS}/Makefile

=== src/win32/burp/Makefile ===
--- 
+++ 
@@ -37,35 +37,33 @@
 	$(OBJDIR)/client/autoupgrade.o \
 	$(OBJDIR)/client/backup.o \
 	$(OBJDIR)/client/backup_phase1.o \
-	$(OBJDIR)/client/protocol1/backup_phase2.o \
-	$(OBJDIR)/client/protocol1/restore.o \
-	$(OBJDIR)/client/protocol2/backup_phase2.o \
-	$(OBJDIR)/client/protocol2/rabin_read.o \
-	$(OBJDIR)/client/protocol2/restore.o \
+	$(OBJDIR)/client/backup_phase2.o \
 	$(OBJDIR)/client/ca.o \
 	$(OBJDIR)/client/cvss.o \
 	$(OBJDIR)/client/delete.o \
 	$(OBJDIR)/client/extra_comms.o \
 	$(OBJDIR)/client/extrameta.o \
+	$(OBJDIR)/client/find_logic.o \
 	$(OBJDIR)/client/find.o \
-	$(OBJDIR)/client/find_logic.o \
 	$(OBJDIR)/client/glob_windows.o \
 	$(OBJDIR)/client/list.o \
 	$(OBJDIR)/client/main.o \
+	$(OBJDIR)/client/monitor/json_input.o \
+	$(OBJDIR)/client/monitor/lline.o \
 	$(OBJDIR)/client/monitor.o \
-	$(OBJDIR)/client/monitor/lline.o \
 	$(OBJDIR)/client/monitor/sel.o \
-	$(OBJDIR)/client/monitor/json_input.o \
 	$(OBJDIR)/client/restore.o \
+	$(OBJDIR)/client/restore_switch.o \
 	$(OBJDIR)/client/xattr.o \
 	$(OBJDIR)/cmd.o \
 	$(OBJDIR)/cntr.o \
+	$(OBJDIR)/conffile.o \
 	$(OBJDIR)/conf.o \
-	$(OBJDIR)/conffile.o \
 	$(OBJDIR)/cstat.o \
 	$(OBJDIR)/forkchild.o \
 	$(OBJDIR)/fsops.o \
 	$(OBJDIR)/fzp.o \
+	$(OBJDIR)/handy_extra.o \
 	$(OBJDIR)/handy.o \
 	$(OBJDIR)/hexmap.o \
 	$(OBJDIR)/incexc_recv.o \
@@ -75,32 +73,24 @@
 	$(OBJDIR)/lock.o \
 	$(OBJDIR)/log.o \
 	$(OBJDIR)/main.o \
+	$(OBJDIR)/md5.o \
 	$(OBJDIR)/msg.o \
 	$(OBJDIR)/pathcmp.o \
 	$(OBJDIR)/prepend.o \
 	$(OBJDIR)/prog.o \
-	$(OBJDIR)/protocol1/handy.o \
-	$(OBJDIR)/protocol1/msg.o \
-	$(OBJDIR)/protocol1/rs_buf.o \
-	$(OBJDIR)/protocol1/sbuf_protocol1.o \
-	$(OBJDIR)/protocol2/blist.o \
-	$(OBJDIR)/protocol2/blk.o \
-	$(OBJDIR)/protocol2/rabin/rabin.o \
-	$(OBJDIR)/protocol2/rabin/rconf.o \
-	$(OBJDIR)/protocol2/rabin/win.o \
-	$(OBJDIR)/protocol2/sbuf_protocol2.o \
 	$(OBJDIR)/regexp.o \
+	$(OBJDIR)/rs_buf.o \
 	$(OBJDIR)/run_script.o \
 	$(OBJDIR)/sbuf.o \
-	$(OBJDIR)/server/protocol2/champ_chooser/incoming.o \
 	$(OBJDIR)/slist.o \
 	$(OBJDIR)/ssl.o \
 	$(OBJDIR)/strlist.o \
 	$(OBJDIR)/times.o \
+	$(OBJDIR)/transfer.o \
 	$(OBJDIR)/vss.o \
+	$(OBJDIR)/vss_Vista.o \
+	$(OBJDIR)/vss_W2K3.o \
 	$(OBJDIR)/vss_XP.o \
-	$(OBJDIR)/vss_W2K3.o \
-	$(OBJDIR)/vss_Vista.o \
 	$(OBJDIR)/yajl_gen_w.o \
 
 ALL_OBJS = $(CLIENT_OBJS)

=== src/win32/utest/Makefile ===
#  Written by Robert Nelson, June 2006
#

include ../Makefile.inc

INCLUDES = \
	-I. \
	$(INCLUDE_BURP) \
	$(INCLUDE_ZLIB) \
	$(INCLUDE_VSS) \
	$(INCLUDE_OPENSSL) \

DEFINES = \
	-DUSING_DLL \
	-DWIN32_VSS \
	-DWINVER=0x500 \
	-DUTEST \
	$(HAVES) \
	$(PACKAGE_DEFINES)

vpath %.c $(MAINDIR)
vpath %.cpp $(MAINDIR)

##########################################################################

CLIENT_OBJS = \
	$(OBJDIR)/alist.o \
	$(OBJDIR)/main.o \
	$(OBJDIR)/src/alloc.o \
	$(OBJDIR)/src/asfd.o \
	$(OBJDIR)/src/async.o \
	$(OBJDIR)/src/attribs.o \
	$(OBJDIR)/src/base64.o \
	$(OBJDIR)/src/berrno.o \
	$(OBJDIR)/src/bfile.o \
	$(OBJDIR)/src/bu.o \
	$(OBJDIR)/src/client/acl.o \
	$(OBJDIR)/src/client/auth.o \
	$(OBJDIR)/src/client/autoupgrade.o \
	$(OBJDIR)/src/client/backup.o \
	$(OBJDIR)/src/client/backup_phase1.o \
	$(OBJDIR)/src/client/backup_phase2.o \
	$(OBJDIR)/src/client/ca.o \
	$(OBJDIR)/src/client/cvss.o \
	$(OBJDIR)/src/client/delete.o \
	$(OBJDIR)/src/client/extra_comms.o \
	$(OBJDIR)/src/client/extrameta.o \
	$(OBJDIR)/src/client/find_logic.o \
	$(OBJDIR)/src/client/find.o \
	$(OBJDIR)/src/client/glob_windows.o \
	$(OBJDIR)/src/client/list.o \
	$(OBJDIR)/src/client/main.o \
	$(OBJDIR)/src/client/monitor/json_input.o \
	$(OBJDIR)/src/client/monitor/lline.o \
	$(OBJDIR)/src/client/monitor.o \
	$(OBJDIR)/src/client/monitor/sel.o \
	$(OBJDIR)/src/client/restore.o \
	$(OBJDIR)/src/client/restore_switch.o \
	$(OBJDIR)/src/client/xattr.o \
	$(OBJDIR)/src/cmd.o \
	$(OBJDIR)/src/cntr.o \
	$(OBJDIR)/src/conffile.o \
	$(OBJDIR)/src/conf.o \
	$(OBJDIR)/src/cstat.o \
	$(OBJDIR)/src/forkchild.o \
	$(OBJDIR)/src/fsops.o \
	$(OBJDIR)/src/fzp.o \
	$(OBJDIR)/src/handy_extra.o \
	$(OBJDIR)/src/handy.o \
	$(OBJDIR)/src/hexmap.o \
	$(OBJDIR)/src/incexc_recv.o \
	$(OBJDIR)/src/incexc_send.o \
	$(OBJDIR)/src/iobuf.o \
	$(OBJDIR)/src/linkhash.o \
	$(OBJDIR)/src/lock.o \
	$(OBJDIR)/src/log.o \
	$(OBJDIR)/src/md5.o \
	$(OBJDIR)/src/msg.o \
	$(OBJDIR)/src/pathcmp.o \
	$(OBJDIR)/src/prepend.o \
	$(OBJDIR)/src/prog.o \
	$(OBJDIR)/src/regexp.o \
	$(OBJDIR)/src/rs_buf.o \
	$(OBJDIR)/src/run_script.o \
	$(OBJDIR)/src/sbuf.o \
	$(OBJDIR)/src/slist.o \
	$(OBJDIR)/src/ssl.o \
	$(OBJDIR)/src/strlist.o \
	$(OBJDIR)/src/times.o \
	$(OBJDIR)/src/transfer.o \
	$(OBJDIR)/src/yajl_gen_w.o \
	$(OBJDIR)/utest/builders/build_asfd_mock.o \
	$(OBJDIR)/utest/builders/build_attribs.o \
	$(OBJDIR)/utest/builders/build_file.o \
	$(OBJDIR)/utest/builders/build_paths.o \
	$(OBJDIR)/utest/builders/build_slist.o \
	$(OBJDIR)/utest/client/monitor/test_lline.o \
	$(OBJDIR)/utest/client/test_auth.o \
	$(OBJDIR)/utest/client/test_backup_phase2.o \
	$(OBJDIR)/utest/client/test_monitor.o \
	$(OBJDIR)/utest/client/test_restore.o \
	$(OBJDIR)/utest/main.o \
	$(OBJDIR)/utest/prng.o \
	$(OBJDIR)/utest/test_alloc.o \
	$(OBJDIR)/utest/test_asfd.o \
	$(OBJDIR)/utest/test_attribs.o \
	$(OBJDIR)/utest/test_base64.o \
	$(OBJDIR)/utest/test_cmd.o \
	$(OBJDIR)/utest/test_conffile.o \
	$(OBJDIR)/utest/test_conf.o \
	$(OBJDIR)/utest/test_fzp.o \
	$(OBJDIR)/utest/test_handy_extra.o \
	$(OBJDIR)/utest/test_hexmap.o \
	$(OBJDIR)/utest/test_md5.o \
	$(OBJDIR)/utest/test_pathcmp.o \
	$(OBJDIR)/utest/test_rs_buf.o \
	$(OBJDIR)/utest/test_slist.o \
	$(OBJDIR)/utest/test_times.o \
	$(OBJDIR)/vss.o \
	$(OBJDIR)/vss_Vista.o \
	$(OBJDIR)/vss_W2K3.o \
	$(OBJDIR)/vss_XP.o \

ALL_OBJS = $(CLIENT_OBJS)

CLIENT_LIBS = \
	$(LIBS_SSL) \
	$(LIBS_CRYPTO) \
	$(LIBS_ZLIB) \
	$(LIBS_NETWORK) \
	$(LIBS_RSYNC) \
	$(LIBS_PCRE) \
	$(LIBS_YAJL) \
	$(LIBS_CHECK) \
	-lole32 \
	-loleaut32 \
	-luuid \
	-lcomctl32

######################################################################

# Targets

.PHONY: all clean

all: $(BINDIR)/utest.exe

clean:
	@echo "Cleaning `pwd`"
	$(call clean_obj,$(ALL_OBJS))
	$(call clean_exe,$(BINDIR)/utest.exe)
	$(ECHO_CMD)rm -rf $(OBJDIRS)

#
# Rules
#

$(BINDIR)/utest.exe: $(CLIENT_OBJS) $(LIBS_BURP)
	$(call link_conapp,$(CLIENT_LIBS))

include ../Makefile.rules

=== debian/changelog ===
burp (3.1.4-3.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:37:06 +1100

burp (3.1.4-3.1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:30:02 +0000

burp (3.1.4-3.1build1) noble; urgency=medium

  * Rebuild against new librsync2t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Mar 2024 00:29:26 +0100

burp (3.1.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * patch: remove broken zlib version check in fzp test
    (Closes: #1057880)
  * lintian:
    + remove dependency on obsolete lsb-base package
    + rename build-dependency to libncurses-dev

 -- Jérémy Lal <kapouer@melix.org>  Wed, 20 Dec 2023 22:58:32 +0100

burp (3.1.4-3) unstable; urgency=medium

  * fix cleanup target (Closes: #1044122)
  * wrap-and-sort debian/* files
  * merge janitor commit to remove unnecessary constraints

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 04 Sep 2023 11:48:06 +0200

burp (3.1.4-2) UNRELEASED; urgency=medium

  * Copy fixes for CVE-2017-16516, CVE-2022-24795 & CVE-2023-33460 from yajl.
    (Thanks to Sean Whitton for NMU)

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Wed, 16 Aug 2023 10:48:32 +0000

burp (3.1.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.

  [ Calogero Lo Leggio ]
  * Use branch 3.1.* as stable
  * New upstream version 3.1.4
  * Remove patches for burp 2.4.0

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Sat, 10 Dec 2022 18:14:30 +0100

burp (2.4.0-4) unstable; urgency=medium

  * Fix compatibility with OpenSSL 3. Closes: #1001014
  * add forward information for patch
  * remove linker flag (no longer necessary)

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Thu, 16 Dec 2021 12:18:21 +0100

=== debian/control ===
Source: burp
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Calogero Lo Leggio <kalos@nerdrug.org>
Uploaders:
 Christoph Martin <martin@uni-mainz.de>,
Build-Depends:
 check,
 debhelper-compat (= 13),
 libacl1-dev,
 libncurses-dev,
 librsync-dev (>= 2.0),
 libssl-dev,
 libyajl-dev,
 libz-dev,
 pkg-config,
 uthash-dev,
Standards-Version: 4.6.0
Homepage: https://burp.grke.net/
Vcs-Git: https://salsa.debian.org/debian/burp.git
Vcs-Browser: https://salsa.debian.org/debian/burp

Package: burp
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Recommends:
 openssl,
Description: Simple cross-platform network BackUp and Restore Program
 Burp is a client/server backup system that saves space and network
 usage by using librsync. It uses the Volume Snapshot Service for
 backing up Windows clients.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # ensure building with UTF-8 locale
 export LC_ALL = C.UTF-8
@@ -41,3 +40,7 @@
 
 override_dh_installsystemd:
 	dh_installsystemd --no-enable
+
+override_dh_clean:
+	dh_clean
+	rm -fv manpages/*.8

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/?(3\.1\.[\d.]+)\.tar\.gz/burp-$1\.tar\.gz/ \
  https://github.com/grke/burp/tags .*/?(3\.1\.[\d.]+)\.tar\.gz

## burp frame-1.0.0

=== burp_frame/requirements.txt ===
requests
colorama
frida
